import { defHttp } from '@/utils/http/axios';
enum Api {
  GetTrendData = '/api/DroneScreenDisplay/GetTrendData',
  GetTuBanSummary = '/api/DroneScreenDisplay/GetTuBanSummary',
  GetTotalAndAreaByType = '/api/DroneScreenDisplay/GetTotalAndAreaByType',
  GetTotalAndArea = '/api/DroneScreenDisplay/GetTotalAndArea'
}
export function GetTrendData(params:{countyid:string;type:string;datatype:number;begindate?:string;enddate?:string;}) {
  // datatype 0按天统计，1按月统计
  return defHttp.get({ url: Api.GetTrendData, params });
}
export function GetTuBanSummary(params:{countyid:string;type:string;}) {
  return defHttp.get({ url: Api.GetTuBanSummary, params });
}
export function GetTotalAndAreaByType(params:{countyid:string;type:string;}) {
  return defHttp.get({ url: Api.GetTotalAndAreaByType, params });
}
export function GetTotalAndArea(params:{countyid:string;type:string;}) {
  return defHttp.get({ url: Api.GetTotalAndArea, params });
}